Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.compilers
Class Javac12

    java.lang.Object
      org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter
          org.apache.tools.ant.taskdefs.compilers.Javac12

All Implemented Interfaces:
  CompilerAdapter, CompilerAdapterExtension

Deprecated. Use `Javac13` instead.

    public class Javac12

extends DefaultCompilerAdapter

The implementation of the javac compiler for JDK 1.2 This is primarily a cut-and-paste from the original javac task before it was refactored.

Since:
  Ant 1.3

Field Summary
`protected static java.lang.String` | `CLASSIC_COMPILER_CLASSNAME` Deprecated.

Fields inherited from class org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter
`attributes, bootclasspath, compileClasspath, compileList, compileSourcepath, debug, depend, deprecation, destDir, encoding, extdirs, includeAntRuntime, includeJavaRuntime, location, lSep, memoryInitialSize, memoryMaximumSize, optimize, project, src, target, verbose`

Constructor Summary
`Javac12()` Deprecated.

Method Summary
`boolean` | `execute()` Deprecated. Run the compilation.

Methods inherited from class org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter
`addCurrentCompilerArgs, addExtdirsToClasspath, assumeJava11, assumeJava12, assumeJava13, assumeJava14, assumeJava15, assumeJava16, assumeJava17, assumeJava18, executeExternalCompile, executeExternalCompile, getBootClassPath, getCompileClasspath, getJavac, getNoDebugArgument, getProject, getSupportedFileExtensions, logAndAddFilesToCompile, setJavac, setupJavacCommand, setupJavacCommand, setupJavacCommandlineSwitches, setupJavacCommandlineSwitches, setupModernJavacCommand, setupModernJavacCommandlineSwitches`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASSIC_COMPILER_CLASSNAME

    protected static final java.lang.String CLASSIC_COMPILER_CLASSNAME

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### Javac12

    public Javac12()

  Deprecated.

Method Detail

### execute

    public boolean execute()
                    throws BuildException

  Deprecated.
  Run the compilation.

  Returns:
    true if the compiler ran with a zero exit result (ok)
  Throws:
    `BuildException` - if the compilation has problems.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD